Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezforum/admin/norights.php
Go to the documentation of this file.
1 <?php
3 // $Id: norights.php 6218 2001-07-19 13:17:55Z jakobn $
4 //
5 // Created on: Created on: <14-Jul-2000 13:41:35 lw>
6 //
7 // This source file is part of Exponential Basic, publishing software.
8 //
9 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
10 //
11 // This program is free software; you can redistribute it and/or
12 // modify it under the terms of the GNU General Public License
13 // as published by the Free Software Foundation; either version 2
14 // of the License, or (at your option) any later version.
15 //
16 // This program is distributed in the hope that it will be useful,
17 // but WITHOUT ANY WARRANTY; without even the implied warranty of
18 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
19 // GNU General Public License for more details.
20 //
21 // You should have received a copy of the GNU General Public License
22 // along with this program; if not, write to the Free Software
23 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
24 //
25
26 // include_once( "classes/INIFile.php" );
27
28 $ini =& eZINI::instance( 'site.ini' );
29
30 $DOC_ROOT = $ini->variable( "eZForumMain", "DocumentRoot" );
31 $Language = $ini->variable( "eZForumMain", "Language" );
32
33 // include_once( "classes/ezdb.php" );
34 // include_once( "classes/eztemplate.php" );
35
36 $t = new eZTemplate( "kernel/ezforum/admin/" . $ini->variable( "eZForumMain", "AdminTemplateDir" ),
37 "kernel/ezforum/admin/" . "/intl", $Language, "noright.php" );
38 $t->setAllStrings();
39
40 $t->set_file( array( "norights" => "norights.tpl" ) );
41
42 $t->pparse( "output", "norights" );
43
44 ?>
eZTemplate
Definition: eztemplate.php:107
$DOC_ROOT
$DOC_ROOT
Definition: ezforum/admin/norights.php:30
$t
$t
Definition: ezforum/admin/norights.php:36
$Language
$Language
Definition: ezforum/admin/norights.php:31
$ini
$ini
Definition: ezforum/admin/norights.php:28
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.